librime: rime::TableQuery Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::TableQuery Class Reference

`#include <table.h>`

Collaboration diagram for rime::TableQuery:
[legend]

## Public Member Functions
| TableQuery (table::Index *index)
TableAccessor | Access (SyllableId syllable_id, double credibility=0.0, double quality_len=0.0) const
bool | Advance (SyllableId syllable_id, double credibility=0.0, double quality_len=0.0, size_t last_pos=0)
bool | Backdate ()
void | Reset ()
size_t | level () const
double | credibility_sum () const
double | quality_len_sum () const
size_t | last_pos () const

## Protected Attributes
size_t | level_ = 0
Code | index_code_
vector< double > | credibility_
vector< double > | quality_len_
vector< size_t > | last_pos_

## Constructor & Destructor Documentation

## ◆ TableQuery()

rime::TableQuery::TableQuery | ( | table::Index * | index | ) |
| inline

## Member Function Documentation

## ◆ Access()

TableAccessor rime::TableQuery::Access | ( | SyllableId | syllable_id,
|  | double | credibility = 0.0,
|  | double | quality_len = 0.0 ) const

## ◆ Advance()

bool rime::TableQuery::Advance | ( | SyllableId | syllable_id,
|  | double | credibility = 0.0,
|  | double | quality_len = 0.0,
|  | size_t | last_pos = 0 )

## ◆ Backdate()

bool rime::TableQuery::Backdate | ( |  | ) |

## ◆ credibility_sum()

double rime::TableQuery::credibility_sum | ( |  | ) | const
| inline

## ◆ last_pos()

size_t rime::TableQuery::last_pos | ( |  | ) | const
| inline

## ◆ level()

size_t rime::TableQuery::level | ( |  | ) | const
| inline

## ◆ quality_len_sum()

double rime::TableQuery::quality_len_sum | ( |  | ) | const
| inline

## ◆ Reset()

void rime::TableQuery::Reset | ( |  | ) |

## Member Data Documentation

## ◆ credibility_

vector<double> rime::TableQuery::credibility_
| protected

## ◆ index_code_

Code rime::TableQuery::index_code_
| protected

## ◆ last_pos_

vector<size_t> rime::TableQuery::last_pos_
| protected

## ◆ level_

size_t rime::TableQuery::level_ = 0
| protected

## ◆ quality_len_

vector<double> rime::TableQuery::quality_len_
| protected

The documentation for this class was generated from the following files:

- table.h
- table.cc